package de.avatic.taricdb.helper.workbook.wrapper;

import de.avatic.taricdb.model.MeasureFootnote;

import java.time.LocalDate;

public class MeasureFootnoteWrapper {
	
	private MeasureFootnote measureFootnote;
	
	private String hsCode;
	
	private String origin;
	
	private Integer measureCode;

	private String addCode;

	private Integer orderNumber;

    private LocalDate startDate;
    private LocalDate endDate;
	
	public MeasureFootnoteWrapper(MeasureFootnote measureFootnote, Integer measureCode, String hsCode, String addCode, String origin, Integer orderNumber, LocalDate startDate, LocalDate endDate) {
        this.measureFootnote = measureFootnote;
        this.measureCode = measureCode;
        this.hsCode = hsCode;
        this.origin = origin;
        this.addCode = addCode;
        this.orderNumber = orderNumber;
        this.startDate = startDate;
        this.endDate = endDate;
	}

	public Integer getMeasureCode() {
		return measureCode;
	}

	public void setMeasureCode(Integer measureCode) {
		this.measureCode = measureCode;
	}

	public MeasureFootnote getMeasureFootnote() {
		return measureFootnote;
	}

	public void setMeasureFootnote(MeasureFootnote measureFootnote) {
		this.measureFootnote = measureFootnote;
	}

	public String getHsCode() {
		return hsCode;
	}

	public String getOrigin() {
		return origin;
	}

	public String getAddCode() {
		return addCode;
	}

	public Object getOrderNumber() {
		return orderNumber;
	}

    public LocalDate getStartDate() {
        return startDate;
    }

    public LocalDate getEndDate() {
        return endDate;
    }
}
